using SqlSugar;

namespace OpenAuth.Repository.Domain;


[SugarTable("lasa_linefolder")]
public class LasaLineFolder
{
    [SugarColumn(IsPrimaryKey = true)]
    public string Id    {get; set;}
    public string Path    {get; set;}
    public string Ancestor    {get; set;}
    public string ParentId    {get; set;}
    public DateTime? CreateTime    {get; set;}
    
    [SugarColumn(IsIgnore = true)]
    public List<LasaLineFolder> Children { get; set; }
}